From: "Mike Gilbert" <floppym@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: net-misc/remmina/
Date: Tue, 2 Aug 2016 23:06:35 +0000 (UTC) [thread overview]
Message-ID: <1470179191.185144a4afd1131547e2057e767bafb2000d1c5d.floppym@gentoo> (raw)
commit: 185144a4afd1131547e2057e767bafb2000d1c5d
Author: Diogo Pereira <sir.suriv <AT> gmail <DOT> com>
AuthorDate: Tue Aug 2 22:05:30 2016 +0000
Commit: Mike Gilbert <floppym <AT> gentoo <DOT> org>
CommitDate: Tue Aug 2 23:06:31 2016 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=185144a4
net-misc/remmina: version bump to 1.2.0_rc14
Gentoo-Bug: 571026
Closes: https://github.com/gentoo/gentoo/pull/2006
net-misc/remmina/Manifest | 1 +
net-misc/remmina/metadata.xml | 2 +
net-misc/remmina/remmina-1.2.0_rc14.ebuild | 90 ++++++++++++++++++++++++++++++
3 files changed, 93 insertions(+)
diff --git a/net-misc/remmina/Manifest b/net-misc/remmina/Manifest
index c718c14..f0109d6 100644
--- a/net-misc/remmina/Manifest
+++ b/net-misc/remmina/Manifest
@@ -1 +1,2 @@
+DIST remmina-1.2.0_rc14.tar.gz 940432 SHA256 00c854cd08438399f3788606bf5ee6e4fad48016bab25b3c853c93e85e371050 SHA512 02d5db7c061b760d2b101e2e5b906015c8192b5cc30d75ce649c522e4d7f53ade2dff65324c244139bfce491d31a413342a330dfe0b217af5847e1adbb53935f WHIRLPOOL 31ac11f07665d05e4d48712b8364670c8529a9a96a76809c28fa52327b5a75efff561b7ae4e38f70c8579e15356b7b8ab98ed8af30bc967a8a75c8b913bb7e3e
DIST remmina-1.2.0_rc3.tar.gz 791812 SHA256 bfe352cd87b031585d867d519c3a36ee117cca9cc79efb7c11cd11d0f9697208 SHA512 e740cbeda40bfca96c846c77140120ff92803f1bf5fff15c3eb3ba90e7ebe9ccbfa04825ad3fca96c09a5440f496934711141dedc665572965bf0d9c32e053da WHIRLPOOL 1686a4e029a9cd3019b2dc0b59c715cc67b66d6c75337c7032a72ee0228e1df7d7dfd8dc7fb7f51d6298a1c886b29d45b7352bf7a9e025ecb1cd184b08d385ed
diff --git a/net-misc/remmina/metadata.xml b/net-misc/remmina/metadata.xml
index 78fb03d..7ba5a91 100644
--- a/net-misc/remmina/metadata.xml
+++ b/net-misc/remmina/metadata.xml
@@ -20,9 +20,11 @@
</longdescription>
<use>
<flag name="freerdp">Add support for the net-misc/freerdp application</flag>
+ <flag name="libsecret">Enable libsecret support to store login credentials</flag>
<flag name="ssh">Enable support for SSH/SFTP protocol; see also 'vte'</flag>
<flag name="telepathy">Enable telepathy support</flag>
<flag name="vte">Enable virtual terminal support (for SSH sessions)</flag>
+ <flag name="webkit">Enable a user survey using net-libs/webkit-gtk</flag>
</use>
<upstream>
<remote-id type="github">FreeRDP/Remmina</remote-id>
diff --git a/net-misc/remmina/remmina-1.2.0_rc14.ebuild b/net-misc/remmina/remmina-1.2.0_rc14.ebuild
new file mode 100644
index 0000000..2b40b08
--- /dev/null
+++ b/net-misc/remmina/remmina-1.2.0_rc14.ebuild
@@ -0,0 +1,90 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+inherit cmake-utils gnome2-utils versionator
+
+MY_PV_MAIN=$(get_version_component_range 1-3)
+MY_PV_RC=$(get_version_component_range 4)
+MY_PV="${MY_PV_MAIN}-${MY_PV_RC//rc/rcgit.}"
+
+if [[ ${PV} != 9999 ]]; then
+ SRC_URI="https://github.com/FreeRDP/Remmina/archive/v${MY_PV}.tar.gz -> ${P}.tar.gz"
+ KEYWORDS="~amd64 ~x86"
+else
+ inherit git-r3
+ SRC_URI=""
+ EGIT_REPO_URI="git://github.com/FreeRDP/Remmina.git
+ https://github.com/FreeRDP/Remmina.git"
+fi
+
+DESCRIPTION="A GTK+ RDP, VNC, XDMCP and SSH client"
+HOMEPAGE="http://remmina.org/ https://github.com/FreeRDP/Remmina"
+
+LICENSE="GPL-2"
+SLOT="0"
+IUSE="ayatana crypt debug freerdp libsecret nls ssh telepathy vte webkit zeroconf"
+REQUIRED_USE="ssh? ( vte )" #546886
+
+RDEPEND="
+ >=dev-libs/glib-2.31.18:2
+ >=net-libs/libvncserver-0.9.8.2
+ x11-libs/libxkbfile
+ x11-libs/gdk-pixbuf
+ x11-libs/gtk+:3
+ x11-libs/libX11
+ virtual/freedesktop-icon-theme
+ ayatana? ( dev-libs/libappindicator:3 )
+ crypt? ( dev-libs/libgcrypt:0= )
+ freerdp? ( >=net-misc/freerdp-2 )
+ libsecret? ( app-crypt/libsecret )
+ ssh? ( net-libs/libssh[sftp] )
+ telepathy? ( net-libs/telepathy-glib )
+ vte? ( x11-libs/vte:2.91 )
+ webkit? ( || ( net-libs/webkit-gtk:4 net-libs/webkit-gtk:3 ) )
+ zeroconf? ( net-dns/avahi[gtk3] )
+"
+DEPEND="${RDEPEND}
+ dev-util/intltool
+ virtual/pkgconfig
+ nls? ( sys-devel/gettext )
+"
+RDEPEND+="
+ x11-base/xorg-server[kdrive]
+ !net-misc/remmina-plugins
+"
+
+DOCS=( README.md )
+
+S="${WORKDIR}/Remmina-${MY_PV}"
+
+src_configure() {
+ local mycmakeargs=(
+ -DWITH_APPINDICATOR=$(usex ayatana)
+ -DWITH_GCRYPT=$(usex crypt)
+ -DWITH_FREERDP=$(usex freerdp)
+ -DWITH_LIBSECRET=$(usex libsecret)
+ -DWITH_GETTEXT=$(usex nls)
+ -DWITH_TRANSLATIONS=$(usex nls)
+ -DWITH_LIBSSH=$(usex ssh)
+ -DWITH_TELEPATHY=$(usex telepathy)
+ -DWITH_VTE=$(usex vte)
+ -DWITH_SURVEY=$(usex webkit)
+ -DWITH_AVAHI=$(usex zeroconf)
+ -DGTK_VERSION=3
+ )
+ cmake-utils_src_configure
+}
+
+pkg_preinst() {
+ gnome2_icon_savelist
+}
+
+pkg_postinst() {
+ gnome2_icon_cache_update
+}
+
+pkg_postrm() {
+ gnome2_icon_cache_update
+}
next reply other threads:[~2016-08-02 23:06 UTC|newest]
Thread overview: 192+ messages / expand[flat|nested] mbox.gz Atom feed top
2016-08-02 23:06 Mike Gilbert [this message]
-- strict thread matches above, loose matches on Subject: below --
2025-01-07 19:32 [gentoo-commits] repo/gentoo:master commit in: net-misc/remmina/ Ben Kohler
2024-12-20 15:13 Ben Kohler
2024-11-06 16:24 Ben Kohler
2024-10-08 16:04 Ben Kohler
2024-07-01 21:14 Jakov Smolić
2024-07-01 17:03 Sam James
2024-05-24 15:37 Ben Kohler
2024-04-27 12:16 Ben Kohler
2024-03-29 15:38 Ben Kohler
2024-03-17 16:35 Mike Gilbert
2024-02-24 17:54 Ben Kohler
2024-02-24 17:54 Ben Kohler
2024-02-08 16:18 Ben Kohler
2023-12-17 19:55 Andreas Sturmlechner
2023-11-03 12:23 Ben Kohler
2023-10-02 15:06 Ben Kohler
2023-10-02 15:01 Ben Kohler
2023-09-27 17:56 Ben Kohler
2023-07-14 16:52 Arthur Zamarin
2023-07-14 16:51 Arthur Zamarin
2023-06-08 12:17 Ben Kohler
2023-05-19 17:45 Sam James
2023-05-19 17:45 Sam James
2023-05-18 12:17 Andreas Sturmlechner
2023-04-10 16:56 Ben Kohler
2023-03-01 14:33 Andreas Sturmlechner
2023-02-28 13:22 Ben Kohler
2023-02-09 14:23 Ben Kohler
2023-01-28 13:29 Pacho Ramos
2023-01-10 16:11 Ben Kohler
2023-01-10 16:11 Ben Kohler
2022-12-22 15:24 Ben Kohler
2022-12-20 14:26 Jakov Smolić
2022-12-02 14:01 Ben Kohler
2022-11-28 22:31 Ben Kohler
2022-11-28 22:30 Ben Kohler
2022-11-16 0:27 Yixun Lan
2022-07-25 14:26 Ben Kohler
2022-07-25 14:26 Ben Kohler
2022-07-20 13:46 Agostino Sarubbo
2022-07-19 20:26 Sam James
2022-06-21 12:56 Ben Kohler
2022-05-26 16:08 Ben Kohler
2022-05-24 14:37 Ben Kohler
2022-05-23 16:07 Ben Kohler
2022-04-15 6:23 Agostino Sarubbo
2022-04-15 6:21 Agostino Sarubbo
2022-03-14 14:35 Ben Kohler
2022-02-11 12:57 Ben Kohler
2022-01-25 12:54 Ben Kohler
2022-01-24 8:17 Agostino Sarubbo
2022-01-24 8:17 Agostino Sarubbo
2021-12-22 13:40 Ben Kohler
2021-12-22 13:40 Ben Kohler
2021-12-22 12:41 Ben Kohler
2021-12-11 13:51 Ben Kohler
2021-11-29 8:49 Agostino Sarubbo
2021-11-29 8:42 Agostino Sarubbo
2021-10-18 17:18 Ben Kohler
2021-09-16 19:11 Sam James
2021-08-11 10:55 Ben Kohler
2021-08-11 6:39 Agostino Sarubbo
2021-08-11 0:02 Sam James
2021-07-14 11:32 Ben Kohler
2021-07-13 13:44 Ben Kohler
2021-07-11 20:51 Sam James
2021-07-09 14:34 Ben Kohler
2021-07-09 14:34 Ben Kohler
2021-07-09 6:26 Agostino Sarubbo
2021-06-30 21:53 Ben Kohler
2021-06-30 20:41 Ben Kohler
2021-06-03 15:58 Ben Kohler
2021-05-23 1:19 Ben Kohler
2021-05-11 17:55 Ben Kohler
2021-05-11 16:16 Ben Kohler
2021-05-11 14:17 Ben Kohler
2021-05-10 15:33 Ben Kohler
2021-05-04 19:12 Sam James
2021-05-03 16:51 Sam James
2021-05-03 15:23 Ben Kohler
2021-05-01 14:30 Mikle Kolyada
2021-04-19 17:52 Ben Kohler
2021-04-04 18:55 Andreas Sturmlechner
2021-04-01 22:30 Sam James
2021-04-01 21:36 Thomas Deutschmann
2021-03-30 22:45 Ben Kohler
2021-03-30 18:40 Ben Kohler
2021-03-03 14:23 Ben Kohler
2021-03-03 13:51 Sam James
2021-03-03 13:50 Sam James
2021-03-02 14:34 Ben Kohler
2021-02-03 13:38 Ben Kohler
2021-01-26 1:12 Ben Kohler
2021-01-21 7:40 Agostino Sarubbo
2021-01-13 9:18 Sam James
2020-12-11 17:50 Ben Kohler
2020-12-02 23:21 Sam James
2020-11-23 16:25 Ben Kohler
2020-10-07 6:42 Agostino Sarubbo
2020-10-03 10:47 Ben Kohler
2020-08-15 12:28 Ben Kohler
2020-07-06 15:00 Ben Kohler
2020-06-28 20:56 Thomas Deutschmann
2020-06-26 6:52 Agostino Sarubbo
2020-06-18 13:52 Ben Kohler
2020-06-10 14:30 Ben Kohler
2020-06-10 14:30 Ben Kohler
2020-05-25 12:15 Ben Kohler
2020-05-22 12:33 Ben Kohler
2020-05-22 12:28 Ben Kohler
2020-05-21 11:35 Ben Kohler
2020-05-20 14:39 Ben Kohler
2020-05-18 22:02 Ben Kohler
2020-05-18 21:53 Ben Kohler
2020-05-18 21:13 Agostino Sarubbo
2020-05-18 21:10 Agostino Sarubbo
2020-04-16 22:26 Ben Kohler
2020-04-16 11:32 Ben Kohler
2020-04-10 19:56 Ben Kohler
2020-04-09 14:33 Ben Kohler
2020-04-02 19:09 Matt Turner
2020-02-24 14:09 Ben Kohler
2020-02-24 13:32 Ben Kohler
2020-01-09 21:35 Ben Kohler
2020-01-01 17:30 Ben Kohler
2019-12-31 17:46 Mike Gilbert
2019-12-23 12:43 Ben Kohler
2019-12-18 19:43 Ben Kohler
2019-12-13 15:35 Ben Kohler
2019-11-20 15:40 Agostino Sarubbo
2019-11-20 11:16 Agostino Sarubbo
2019-11-04 6:23 Joonas Niilola
2019-09-23 13:11 Ben Kohler
2019-09-14 19:35 Ben Kohler
2019-09-14 19:34 Ben Kohler
2019-08-27 13:43 Ben Kohler
2019-08-06 9:42 Agostino Sarubbo
2019-08-06 9:39 Agostino Sarubbo
2019-07-31 20:09 Ben Kohler
2019-03-15 17:46 Ben Kohler
2019-03-15 17:46 Ben Kohler
2019-02-28 16:06 Ben Kohler
2019-02-03 14:53 Andreas Sturmlechner
2019-02-03 14:53 Andreas Sturmlechner
2019-02-01 18:59 Ben Kohler
2019-01-30 15:46 Ben Kohler
2018-10-21 14:30 Pacho Ramos
2018-10-02 14:46 Mikle Kolyada
2018-10-01 21:47 Thomas Deutschmann
2018-08-19 22:52 Patrice Clement
2018-08-08 15:40 Mike Gilbert
2018-08-08 15:25 Mike Gilbert
2018-08-08 15:25 Mike Gilbert
2018-06-08 7:27 Michał Górny
2018-04-13 23:49 Aaron Bauman
2018-04-13 23:49 Aaron Bauman
2018-04-13 23:49 Aaron Bauman
2018-04-11 21:47 Patrice Clement
2017-12-25 16:46 Mike Gilbert
2017-12-03 10:27 Pacho Ramos
2017-11-30 19:02 Thomas Deutschmann
2017-10-27 21:02 Patrice Clement
2017-10-15 21:11 Patrice Clement
2017-09-02 17:30 Patrice Clement
2017-07-30 18:46 David Seifert
2017-07-30 11:14 David Seifert
2017-07-30 11:14 David Seifert
2017-02-14 21:20 Patrice Clement
2017-01-06 11:48 Pacho Ramos
2017-01-06 11:48 Pacho Ramos
2017-01-06 11:48 Pacho Ramos
2016-12-31 15:48 Mike Gilbert
2016-12-29 14:38 David Seifert
2016-12-29 14:38 David Seifert
2016-12-29 14:38 David Seifert
2016-12-29 10:45 Agostino Sarubbo
2016-12-29 10:05 Agostino Sarubbo
2016-11-27 11:21 Pacho Ramos
2016-11-06 20:17 David Seifert
2016-10-03 20:07 Patrice Clement
2016-10-02 12:37 Pacho Ramos
2016-08-18 12:46 Patrice Clement
2016-08-18 6:42 Yixun Lan
2016-08-07 8:48 David Seifert
2016-08-02 23:06 Mike Gilbert
2016-08-02 19:54 Mike Gilbert
2016-08-02 19:47 Mike Gilbert
2016-06-06 16:15 Agostino Sarubbo
2015-09-21 19:08 Pacho Ramos
2015-09-21 19:01 Pacho Ramos
2015-09-21 19:01 Pacho Ramos
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1470179191.185144a4afd1131547e2057e767bafb2000d1c5d.floppym@gentoo \
--to=floppym@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox